PRO errana,x,y,w,fil,deg

;Error analysis - rms deviations from polynomial fit.
;INPUTS: arrays x - data ordinates, y - data abscissae,
;	 w - weights for fit. All arrays must be 1-D and
;	 with equal size.
;	 fil - filename of output PS file 
;	 deg - degree of polynomial	   4.6.1997

si=size(x)

res=POLYFITW(x,y,w,deg,yr,ye,sg)      ;parabolic fit

set_plot,'ps'
!p.multi=[0,2,0,0,0]

device,filename=fil,/landscape

plot,x,y,xtitle='x',ytitle='y'
oplot,x,yr		; orig. data and fit

plot,x,sqrt((y-yr)^2),xtitle='x',ytitle='rms deviation'
plots,[x(0),x(si(1)-1)],[sg,sg],/data		;1*sigma level
plots,[x(0),x(si(1)-1)],[2*sg,2*sg],/data	;2*sigma level

device,/close
!p.multi=0
set_plot,'x'
end

