;   rlog2.pro	17.6.99  La Palma 

;   RUN FIRST: r. readqual
;   ======================

day='99'

read,'GIVE DAY NO (05):', day

file='qwl'+day+'jun.tmp'

x=readqual(file)

time=x(0,*)/3600.
qual=x(1,*)/10e5

plot,time,qual,psym=3,symsize=3,              $
     title='quality WL '+day+' June', xtitle='time [UT]',  $
     ytitle='qual. parameter',			   $
     xrange=[7.0,19.0],yrange=[0.0,1.2],                     $
     xstyle=1,ystyle=1

oplot,time,smoothe(qual,100)

;   plot on .ps file?
ps=' '
read,'Do you want output on .ps file [y/n]',ps

if (ps eq 'y') then begin
  outfi='qwl_plot_'+day+'jun.ps'
  set_plot,'ps'   & device,filename=outfi

  plot,time,qual,psym=3,symsize=3,              $
     title='quality 8000 WL '+day+' June 1997', xtitle='time [UT]',  $
     ytitle='qual. parameter',			   $
     xrange=[7.0,19.0],yrange=[0.0,1.2],                     $
     xstyle=1,ystyle=1

  oplot,time,smoothe(qual,100)

  device,/close      & set_plot,'x'
  print,'output to file: ',outfi
endif

end
