PRO readlog0,ar
;
;Reading and management of La Palma logfiles.
;Creating an array with seq.numbers of existing images
;and corresponding times (in hours).
;
file1='lg18Jun93.16'
print,'opening ',file1
openr,1,file1
readf,1,n
n=fix(n)
print,'number of frames:',n
b=bytarr(28)
c=bytarr(35)                     ; (35) for Unix, (36) for DOS
ar=fltarr(2,n)

for i=0,n-1 do begin
   readu,1,b
   readu,1,c
   a=strcompress(string(b))
   p1=strpos(a,'T')
   strput,a,'  ',p1
   ar(0,i)=float(strmid(a,0,5))-7   ; -7 is specific for ser16!!
   p1=strpos(a,':')
   p2=strpos(a,'.')
   hour=float(strmid(a,p1-2,2))
   min=fix(strmid(a,p1+1,p2-p1-1))
   sec=fix(strmid(a,p2+1,2))
      print,hour,min,sec
   ar(1,i)=hour+min/60.+sec/3600.
;   print,ar(0,i),ar(1,i)
endfor
close,1

END
