pro caj95,prefix,init,numim,mov

;Version para La Palma 1995 observaciones, utilizando PREA (PGMREAD)
;
;Produce un byte-array 3-D de 0-255, "mov", a partir de una secuencia
;temporal de imagenes, con objeto de producir una movie.
;La movie se activa mediante la procedure "animate" (ver sus comentarios)

;INPUTS:
;prefix=string prefijo de la serie temporal de imagenes.
;init=numero de la imagen inicial
;numin=numero de imagenes de que constara la movie

;OUTPUT:
;mov = array 3-D para actival la movie


st1=prefix

;construye la matriz tridimensional bytarr para el movie: a

print,'seleccion de una caja? (yes=1) (no=0) '
read,iop
reb:
if iop eq 1 then begin
  print,'coord. x,y del vertice inferior izquierdo '
  read,xi,yi
  print,'dimensiones nx,ny de la caja '
  read,nn,mm
  xs=xi+nn-1
  ys=yi+mm-1
endif else begin
  xi=0 & yi=0 & xs=n-1 & ys=m-1
  nn=n
  mm=m
endelse

print,'factor de rebineado, rebin='
read,rebin
if (nn mod rebin or mm mod rebin) ne 0 then begin
  print,'rebin no es submultiplo de las dimensiones. Try again '
  goto,reb
endif

nn=nn/rebin
mm=mm/rebin

mov = bytarr(nn,mm,numim,/nozero)
FOR i = 0,numim-1 DO BEGIN
   dcn=strtrim(i+init,1)
   print,'Now reading image:'
   print,st1+'.'+dcn
   im1=PREA(st1+'.'+dcn)
   mov(0,0,i) = REBIN(im1(xi:xs,yi:ys),nn,mm)
ENDFOR

end
